This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1011879 - [abrt] gnome-settings-daemon-3.6.4-3.fc18: _gdk_x11_display_error_event: Process /usr/libexec/gnome-settings-daemon was killed by signal 5 (SIGTRAP)
[abrt] gnome-settings-daemon-3.6.4-3.fc18: _gdk_x11_display_error_event: Proc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:a285fe3d30319436653a82b5c87...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 06:12 EDT by Steve Hindmarch
Modified: 2014-02-05 17:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:25:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.81 KB, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details
File: cgroup (129 bytes, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details
File: core_backtrace (14.63 KB, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details
File: dso_list (17.05 KB, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details
File: environ (2.26 KB, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details
File: maps (80.55 KB, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details
File: open_fds (2.05 KB, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details
File: var_log_messages (287 bytes, text/plain)
2013-09-25 06:12 EDT, Steve Hindmarch
no flags Details

  None (edit)
Description Steve Hindmarch 2013-09-25 06:12:13 EDT
Description of problem:
This happened while Gnome desktop over NX. I am not sure specifically what I did to cause this.I was opening a terminal window at the time.

Version-Release number of selected component:
gnome-settings-daemon-3.6.4-3.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: _gdk_x11_display_error_event
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.10.10-100.fc18.x86_64
runlevel:       N 5
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2416
 #6 handle_error at xcb_io.c:213
 #8 XRRSetCrtcConfig at XrrCrtc.c:147
 #9 gnome_rr_crtc_set_config_with_time at gnome-rr.c:2188
 #10 configure_crtc at gnome-rr-config.c:1600
 #12 g_hash_table_foreach at ghash.c:1524
 #13 crtc_assignment_apply at gnome-rr-config.c:1945
 #14 gnome_rr_config_apply_with_time at gnome-rr-config.c:1308
 #15 on_randr_event at gsd-xrandr-manager.c:1776
 #20 screen_update at gnome-rr.c:629

Potential duplicate: bug 968189
Comment 1 Steve Hindmarch 2013-09-25 06:12:18 EDT
Created attachment 802709 [details]
File: backtrace
Comment 2 Steve Hindmarch 2013-09-25 06:12:23 EDT
Created attachment 802710 [details]
File: cgroup
Comment 3 Steve Hindmarch 2013-09-25 06:12:27 EDT
Created attachment 802711 [details]
File: core_backtrace
Comment 4 Steve Hindmarch 2013-09-25 06:12:32 EDT
Created attachment 802712 [details]
File: dso_list
Comment 5 Steve Hindmarch 2013-09-25 06:12:36 EDT
Created attachment 802713 [details]
File: environ
Comment 6 Steve Hindmarch 2013-09-25 06:12:40 EDT
Created attachment 802714 [details]
File: limits
Comment 7 Steve Hindmarch 2013-09-25 06:12:44 EDT
Created attachment 802715 [details]
File: maps
Comment 8 Steve Hindmarch 2013-09-25 06:12:47 EDT
Created attachment 802716 [details]
File: open_fds
Comment 9 Steve Hindmarch 2013-09-25 06:12:51 EDT
Created attachment 802717 [details]
File: proc_pid_status
Comment 10 Steve Hindmarch 2013-09-25 06:12:54 EDT
Created attachment 802718 [details]
File: var_log_messages
Comment 11 Steve Hindmarch 2013-11-28 04:05:21 EST
This happened again last night, again after starting an NX session.
Comment 12 Fedora End Of Life 2013-12-21 09:37:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:25:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.